microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Padparameters
name
string
vereist
The name of the memory store.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Aanvraagbody
Content-Type: application/json
scope
string
vereist
The namespace that logically groups and isolates memories to delete, such as a user ID.
Antwoorden
The request has succeeded.
Hoofdtekst
Content-Type: application/json
object
enum
vereist
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
vereist
The name of the memory store.
scope
string
vereist
The scope from which memories were deleted.
deleted
boolean
vereist
Whether the deletion operation was successful.
Aanvraag
POST /memory_stores/{name}:delete_scope HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json